import { request, type RequestOptions } from '@/utils/request';

/** 获取公司列表 GET /api/domain */
export async function domainList(params: API.DomainParams, options?: RequestOptions) {
  return request<{
    items?: API.DomainEntity[];
    meta?: {
      itemCount?: number;
      totalItems?: number;
      itemsPerPage?: number;
      totalPages?: number;
      currentPage?: number;
    };
  }>('/api/domain', {
    method: 'GET',
    params: {
      // page has a default value: 1
      page: '1',
      // pageSize has a default value: 10
      pageSize: '10',

      ...params,
    },
    ...(options || {}),
  });
}
